<?php include TPL_ROOT . 'common/header.html.php';?>
<?php js::set('reinstallMessage', $lang->portal->site->confirmReinstall)?>
<?php js::set('deleteMessage',    $lang->portal->site->confirmDelete)?>
<?php js::set('deleteStatus',     $lang->portal->site->deleteStatus)?>
  <?php if($status == 'try' or $status == 'rejected'):?>
  <div id="alerts">
    <div id='authAlert' class='alert alert-danger alert-block'>
      <i class='icon-warning-sign hideOnDismiss'></i>
      <div class='content'>
        <div class='hideOnDismiss'><?php echo $status == 'try' ? $lang->portal->auth->noticeNoVerify : $lang->portal->auth->noticeRejected;?></div>
        <p>
          <?php echo html::a($this->inlink('auth'), $status == 'try' ? $lang->portal->auth->title : $lang->portal->auth->resubmit, "class='btn btn-success'");?>
          <button id='dismissAuthAlert' class='btn btn-link hideOnDismiss alert-link'><?php echo $lang->portal->auth->later;?></button>
        </p>      
      </div>
    </div>
  </div>
  <?php elseif($status == 'wait'):?>
  <div id="alerts">
    <div id='authSuccess' class='alert alert-info alert-block'>
      <div class='container'>
        <div class='row'>
          <div class='col-md-1'><i class='icon-info-sign icon-4x pull-right'></i></div>
          <div class='col-md-11'><?php echo $lang->portal->auth->noticeVerifing;?></div>
        </div>
      </div>
    </div>
  </div>
  <?php endif;?>    
<div class="row">
  <?php include TPL_ROOT . 'user/side.html.php';?>
  <div class="col-md-10">
    <div class="panel panel-default">
      <div class="panel-heading">
        <div class="panel-actions">
          <?php echo html::a(inlink('createSite'), "<i class='icon-plus'></i> " . $lang->portal->site->create, "class='btn btn-primary'"); ?>
        </div>
        <strong><i class='icon-list-ul'></i> <?php echo $lang->portal->mySite;?>&nbsp;<small><?php printf($lang->portal->site->number, count($sites));?></small></strong>
      </div>
      <table class='table table-striped table-comfortable table-fixed'>
        <thead>
          <tr>
            <th><?php echo $lang->portal->site->domain;?></th>
            <th class='w-100px'><?php echo $lang->portal->site->endDate;?></th>
            <th class='w-60px'><?php echo $lang->portal->site->plan;?></th>
            <th class='w-60px'><?php echo $lang->portal->site->status;?></th>
            <th class='w-320px text-center'><?php echo $lang->actions;?></th>
          </tr>
        </thead>
        <tbody>
          <?php foreach($sites as $id => $site):?>
          <?php
          $textClass = $site->status == 'try' ? 'text-warning' : ($site->status == 'normal' ? 'text-success' : 'text-danger');
          $domainResolved = $this->portal->checkDomainResolve($site);
          ?>
          <tr>
            <!--<td><strong><?php echo $site->name?></strong></td>-->
            <td>
              <div>
                <?php if($domainResolved !== true):?>
                <?php echo html::a($site->tempURL, $site->normalURL, "role='button' target='_blank'");?>
                <i class='tip icon-exclamation-sign icon-large text-danger'
                   data-toggle='popover' data-content="<?php printf($lang->portal->site->domainHowto, $site->tempURL, $site->domain, $site->host )?>" 
                   data-original-title="<strong class='text-danger'><?php echo $lang->portal->site->errorDomain?></strong>"></i>
                <?php else:?>
                <?php echo html::a($site->normalURL, $site->normalURL, "role='button' target='_blank'");?>
              <?php endif;?>
              </div>
            </td>
            <td <?php if(strtotime('+30 day') > strtotime($site->endDate)) echo "class='red'"?>><?php echo $site->endDate?></td>
            <td class='text-center'><?php echo zget($plans, $site->plan);?></td>
            <td><span class="<?php echo $textClass;?>"><?php if($site->status) echo zget($lang->portal->statusList, $site->status, $site->status);?></span></td>
            <td class='text-center'>
              <?php
              $isToEndDate = (time() < strtotime($site->endDate));
              echo html::a($this->inlink('login', "siteID=$site->id"), $lang->portal->site->manage, "target='_blank'");
              echo ($isToEndDate && $site->plan != $firstPlan)? html::a(inlink('upgrade', "id={$site->id}"),  $lang->portal->upgrade) : html::a('javascript:void(0)',  $lang->portal->upgrade, "disabled='disabled'");
              echo $site->status != 'normal' ? html::a('javascript:;', $lang->portal->renew, "disabled='disabled'") : html::a(inlink('renewsite', "id={$site->id}"),  $lang->portal->renew);
              echo html::a($this->inlink('changeDomain', "siteID=$site->id"), $lang->portal->site->changeDomain, "data-toggle=modal");
              echo html::a('javascript:void(0);', $lang->portal->site->reinstall, "onclick=reinstall(" . $site->id . ");");
              echo html::a('javascript:void(0);', $lang->delete, "onclick=deleteSite(" . $site->id . ");");
              echo html::a($this->inlink('resetAdmin', "siteID=$site->id"), $lang->portal->site->resetAdmin, "class='review'");
              echo ($site->plan != $lastPlan and $site->status == 'normal') ? html::a(inlink('degrade', "id={$site->id}"),  $lang->portal->degrade) : html::a('javascript:void(0)',  $lang->portal->degrade, "disabled='disabled'");
              ?>
            </td>
          </tr>
          <?php endforeach;?>
        </tbody>
      </table>
    </div>
  </div>
</div>

<?php include TPL_ROOT . 'common/footer.html.php';?>
